Home | News | Download | Packages | Forum | Wiki | Github

Spotify through flatpak


#1

Hi everyone!
Using void_musl here and trying to get spotify through flatpak. Whenever I try to listen to any song I get the following line

 (spotify:2): GLib-GIO-CRITICAL **: g_dbus_connection_send_message: assertion *G_IS_DBUS_CONNECTION (connection)' failed ALSA lib pulse.c:243:(pulse_connect) PulseAudio: Unable to connect: Connection refused

Does this mean I need pulseaudio? I was trying to avoid it! Has anyone got it to work without pulseaudio?

Thanks!

EDIT: Ok, installed pulseaudio and enabled consolekit and cgmanager services. dbus was already running but the errors persist?

EDIT2: Seems to be a known issue and to be spotify specific, i.e not void, musl or flatpak/flathub related, https://github.com/alexlarsson/spotify-app/issues/50
I’m giving up on spotify for now, don’t really need it anyway.